void printi(int val);

int main()
{
  enum {
    TEST_ENUM_0,
    TEST_ENUM_1,
    TEST_ENUM_2,
    TEST_ENUM_3 = TEST_ENUM_1,
    TEST_ENUM_4,
    TEST_ENUM_5,
    TEST_ENUM_6 = TEST_ENUM_4 + 3,
    TEST_ENUM_7
  } e;

  e = TEST_ENUM_0; printi(e);
  e = TEST_ENUM_1; printi(e);
  e = TEST_ENUM_2; printi(e);
  e = TEST_ENUM_3; printi(e);
  e = TEST_ENUM_4; printi(e);
  e = TEST_ENUM_5; printi(e);
  e = TEST_ENUM_6; printi(e);
  e = TEST_ENUM_7; printi(e);

  return 0;
}
